All Data Structures Functions Variables Typedefs Enumerations Enumerator Groups Pages
AlphaComp
Alpha Composition

Composite two images using alpha opacity values contained in each image. More...

## Functions

NppStatus | nppiAlphaComp_8u_AC1R_Ctx (const Npp8u *pSrc1, int nSrc1Step, const Npp8u *pSrc2, int nSrc2Step, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, NppiAlphaOp eAlphaOp, NppStreamContext nppStreamCtx)
| One 8-bit unsigned char channel image composition using image alpha values (0 - max channel pixel value). More...
NppStatus | nppiAlphaComp_8u_AC1R (const Npp8u *pSrc1, int nSrc1Step, const Npp8u *pSrc2, int nSrc2Step, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, NppiAlphaOp eAlphaOp)
NppStatus | nppiAlphaComp_8u_AC4R_Ctx (const Npp8u *pSrc1, int nSrc1Step, const Npp8u *pSrc2, int nSrc2Step, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, NppiAlphaOp eAlphaOp, NppStreamContext nppStreamCtx)
| Four 8-bit unsigned char channel image composition using image alpha values (0 - max channel pixel value). More...
NppStatus | nppiAlphaComp_8u_AC4R (const Npp8u *pSrc1, int nSrc1Step, const Npp8u *pSrc2, int nSrc2Step, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, NppiAlphaOp eAlphaOp)
NppStatus | nppiAlphaComp_8s_AC1R_Ctx (const Npp8s *pSrc1, int nSrc1Step, const Npp8s *pSrc2, int nSrc2Step, Npp8s *pDst, int nDstStep, NppiSize oSizeROI, NppiAlphaOp eAlphaOp, NppStreamContext nppStreamCtx)
| One 8-bit signed char channel image composition using image alpha values (0 - max channel pixel value). More...
NppStatus | nppiAlphaComp_8s_AC1R (const Npp8s *pSrc1, int nSrc1Step, const Npp8s *pSrc2, int nSrc2Step, Npp8s *pDst, int nDstStep, NppiSize oSizeROI, NppiAlphaOp eAlphaOp)
NppStatus | nppiAlphaComp_16u_AC1R_Ctx (const Npp16u *pSrc1, int nSrc1Step, const Npp16u *pSrc2, int nSrc2Step, Npp16u *pDst, int nDstStep, NppiSize oSizeROI, NppiAlphaOp eAlphaOp, NppStreamContext nppStreamCtx)
| One 16-bit unsigned short channel image composition using image alpha values (0 - max channel pixel value). More...
NppStatus | nppiAlphaComp_16u_AC1R (const Npp16u *pSrc1, int nSrc1Step, const Npp16u *pSrc2, int nSrc2Step, Npp16u *pDst, int nDstStep, NppiSize oSizeROI, NppiAlphaOp eAlphaOp)
NppStatus | nppiAlphaComp_16u_AC4R_Ctx (const Npp16u *pSrc1, int nSrc1Step, const Npp16u *pSrc2, int nSrc2Step, Npp16u *pDst, int nDstStep, NppiSize oSizeROI, NppiAlphaOp eAlphaOp, NppStreamContext nppStreamCtx)
| Four 16-bit unsigned short channel image composition using image alpha values (0 - max channel pixel value). More...
NppStatus | nppiAlphaComp_16u_AC4R (const Npp16u *pSrc1, int nSrc1Step, const Npp16u *pSrc2, int nSrc2Step, Npp16u *pDst, int nDstStep, NppiSize oSizeROI, NppiAlphaOp eAlphaOp)
NppStatus | nppiAlphaComp_16s_AC1R_Ctx (const Npp16s *pSrc1, int nSrc1Step, const Npp16s *pSrc2, int nSrc2Step, Npp16s *pDst, int nDstStep, NppiSize oSizeROI, NppiAlphaOp eAlphaOp, NppStreamContext nppStreamCtx)
| One 16-bit signed short channel image composition using image alpha values (0 - max channel pixel value). More...
NppStatus | nppiAlphaComp_16s_AC1R (const Npp16s *pSrc1, int nSrc1Step, const Npp16s *pSrc2, int nSrc2Step, Npp16s *pDst, int nDstStep, NppiSize oSizeROI, NppiAlphaOp eAlphaOp)
NppStatus | nppiAlphaComp_32u_AC1R_Ctx (const Npp32u *pSrc1, int nSrc1Step, const Npp32u *pSrc2, int nSrc2Step, Npp32u *pDst, int nDstStep, NppiSize oSizeROI, NppiAlphaOp eAlphaOp, NppStreamContext nppStreamCtx)
| One 32-bit unsigned integer channel image composition using image alpha values (0 - max channel pixel value). More...
NppStatus | nppiAlphaComp_32u_AC1R (const Npp32u *pSrc1, int nSrc1Step, const Npp32u *pSrc2, int nSrc2Step, Npp32u *pDst, int nDstStep, NppiSize oSizeROI, NppiAlphaOp eAlphaOp)
NppStatus | nppiAlphaComp_32u_AC4R_Ctx (const Npp32u *pSrc1, int nSrc1Step, const Npp32u *pSrc2, int nSrc2Step, Npp32u *pDst, int nDstStep, NppiSize oSizeROI, NppiAlphaOp eAlphaOp, NppStreamContext nppStreamCtx)
| Four 32-bit unsigned integer channel image composition using image alpha values (0 - max channel pixel value). More...
NppStatus | nppiAlphaComp_32u_AC4R (const Npp32u *pSrc1, int nSrc1Step, const Npp32u *pSrc2, int nSrc2Step, Npp32u *pDst, int nDstStep, NppiSize oSizeROI, NppiAlphaOp eAlphaOp)
NppStatus | nppiAlphaComp_32s_AC1R_Ctx (const Npp32s *pSrc1, int nSrc1Step, const Npp32s *pSrc2, int nSrc2Step, Npp32s *pDst, int nDstStep, NppiSize oSizeROI, NppiAlphaOp eAlphaOp, NppStreamContext nppStreamCtx)
| One 32-bit signed integer channel image composition using image alpha values (0 - max channel pixel value). More...
NppStatus | nppiAlphaComp_32s_AC1R (const Npp32s *pSrc1, int nSrc1Step, const Npp32s *pSrc2, int nSrc2Step, Npp32s *pDst, int nDstStep, NppiSize oSizeROI, NppiAlphaOp eAlphaOp)
NppStatus | nppiAlphaComp_32s_AC4R_Ctx (const Npp32s *pSrc1, int nSrc1Step, const Npp32s *pSrc2, int nSrc2Step, Npp32s *pDst, int nDstStep, NppiSize oSizeROI, NppiAlphaOp eAlphaOp, NppStreamContext nppStreamCtx)
| Four 32-bit signed integer channel image composition using image alpha values (0 - max channel pixel value). More...
NppStatus | nppiAlphaComp_32s_AC4R (const Npp32s *pSrc1, int nSrc1Step, const Npp32s *pSrc2, int nSrc2Step, Npp32s *pDst, int nDstStep, NppiSize oSizeROI, NppiAlphaOp eAlphaOp)
NppStatus | nppiAlphaComp_32f_AC1R_Ctx (const Npp32f *pSrc1, int nSrc1Step, const Npp32f *pSrc2, int nSrc2Step, Npp32f *pDst, int nDstStep, NppiSize oSizeROI, NppiAlphaOp eAlphaOp, NppStreamContext nppStreamCtx)
| One 32-bit floating point channel image composition using image alpha values (0.0 - 1.0). More...
NppStatus | nppiAlphaComp_32f_AC1R (const Npp32f *pSrc1, int nSrc1Step, const Npp32f *pSrc2, int nSrc2Step, Npp32f *pDst, int nDstStep, NppiSize oSizeROI, NppiAlphaOp eAlphaOp)
NppStatus | nppiAlphaComp_32f_AC4R_Ctx (const Npp32f *pSrc1, int nSrc1Step, const Npp32f *pSrc2, int nSrc2Step, Npp32f *pDst, int nDstStep, NppiSize oSizeROI, NppiAlphaOp eAlphaOp, NppStreamContext nppStreamCtx)
| Four 32-bit floating point channel image composition using image alpha values (0.0 - 1.0). More...
NppStatus | nppiAlphaComp_32f_AC4R (const Npp32f *pSrc1, int nSrc1Step, const Npp32f *pSrc2, int nSrc2Step, Npp32f *pDst, int nDstStep, NppiSize oSizeROI, NppiAlphaOp eAlphaOp)

## Detailed Description

Composite two images using alpha opacity values contained in each image.

## Function Documentation

NppStatus nppiAlphaComp_16s_AC1R | ( | const Npp16s * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp16s * | pSrc2,
|  | int | nSrc2Step,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiAlphaOp | eAlphaOp
| ) |  |

NppStatus nppiAlphaComp_16s_AC1R_Ctx | ( | const Npp16s * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp16s * | pSrc2,
|  | int | nSrc2Step,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiAlphaOp | eAlphaOp,
|  | NppStreamContext | nppStreamCtx
| ) |  |

One 16-bit signed short channel image composition using image alpha values (0 - max channel pixel value).

Parameters

  pSrc1 | Source-Image Pointer.
  nSrc1Step | Source-Image Line Step.
  pSrc2 | Source-Image Pointer.
  nSrc2Step | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  eAlphaOp | alpha-blending operation..
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiAlphaComp_16u_AC1R | ( | const Npp16u * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp16u * | pSrc2,
|  | int | nSrc2Step,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiAlphaOp | eAlphaOp
| ) |  |

NppStatus nppiAlphaComp_16u_AC1R_Ctx | ( | const Npp16u * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp16u * | pSrc2,
|  | int | nSrc2Step,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiAlphaOp | eAlphaOp,
|  | NppStreamContext | nppStreamCtx
| ) |  |

One 16-bit unsigned short channel image composition using image alpha values (0 - max channel pixel value).

Parameters

  pSrc1 | Source-Image Pointer.
  nSrc1Step | Source-Image Line Step.
  pSrc2 | Source-Image Pointer.
  nSrc2Step | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  eAlphaOp | alpha-blending operation..
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiAlphaComp_16u_AC4R | ( | const Npp16u * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp16u * | pSrc2,
|  | int | nSrc2Step,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiAlphaOp | eAlphaOp
| ) |  |

NppStatus nppiAlphaComp_16u_AC4R_Ctx | ( | const Npp16u * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp16u * | pSrc2,
|  | int | nSrc2Step,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiAlphaOp | eAlphaOp,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four 16-bit unsigned short channel image composition using image alpha values (0 - max channel pixel value).

Parameters

  pSrc1 | Source-Image Pointer.
  nSrc1Step | Source-Image Line Step.
  pSrc2 | Source-Image Pointer.
  nSrc2Step | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  eAlphaOp | alpha-blending operation..
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiAlphaComp_32f_AC1R | ( | const Npp32f * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp32f * | pSrc2,
|  | int | nSrc2Step,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiAlphaOp | eAlphaOp
| ) |  |

NppStatus nppiAlphaComp_32f_AC1R_Ctx | ( | const Npp32f * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp32f * | pSrc2,
|  | int | nSrc2Step,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiAlphaOp | eAlphaOp,
|  | NppStreamContext | nppStreamCtx
| ) |  |

One 32-bit floating point channel image composition using image alpha values (0.0 - 1.0).

Parameters

  pSrc1 | Source-Image Pointer.
  nSrc1Step | Source-Image Line Step.
  pSrc2 | Source-Image Pointer.
  nSrc2Step | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  eAlphaOp | alpha-blending operation..
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiAlphaComp_32f_AC4R | ( | const Npp32f * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp32f * | pSrc2,
|  | int | nSrc2Step,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiAlphaOp | eAlphaOp
| ) |  |

NppStatus nppiAlphaComp_32f_AC4R_Ctx | ( | const Npp32f * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp32f * | pSrc2,
|  | int | nSrc2Step,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiAlphaOp | eAlphaOp,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four 32-bit floating point channel image composition using image alpha values (0.0 - 1.0).

Parameters

  pSrc1 | Source-Image Pointer.
  nSrc1Step | Source-Image Line Step.
  pSrc2 | Source-Image Pointer.
  nSrc2Step | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  eAlphaOp | alpha-blending operation..
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiAlphaComp_32s_AC1R | ( | const Npp32s * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp32s * | pSrc2,
|  | int | nSrc2Step,
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiAlphaOp | eAlphaOp
| ) |  |

NppStatus nppiAlphaComp_32s_AC1R_Ctx | ( | const Npp32s * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp32s * | pSrc2,
|  | int | nSrc2Step,
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiAlphaOp | eAlphaOp,
|  | NppStreamContext | nppStreamCtx
| ) |  |

One 32-bit signed integer channel image composition using image alpha values (0 - max channel pixel value).

Parameters

  pSrc1 | Source-Image Pointer.
  nSrc1Step | Source-Image Line Step.
  pSrc2 | Source-Image Pointer.
  nSrc2Step | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  eAlphaOp | alpha-blending operation..
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiAlphaComp_32s_AC4R | ( | const Npp32s * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp32s * | pSrc2,
|  | int | nSrc2Step,
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiAlphaOp | eAlphaOp
| ) |  |

NppStatus nppiAlphaComp_32s_AC4R_Ctx | ( | const Npp32s * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp32s * | pSrc2,
|  | int | nSrc2Step,
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiAlphaOp | eAlphaOp,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four 32-bit signed integer channel image composition using image alpha values (0 - max channel pixel value).

Parameters

  pSrc1 | Source-Image Pointer.
  nSrc1Step | Source-Image Line Step.
  pSrc2 | Source-Image Pointer.
  nSrc2Step | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  eAlphaOp | alpha-blending operation..
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiAlphaComp_32u_AC1R | ( | const Npp32u * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp32u * | pSrc2,
|  | int | nSrc2Step,
|  | Npp32u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiAlphaOp | eAlphaOp
| ) |  |

NppStatus nppiAlphaComp_32u_AC1R_Ctx | ( | const Npp32u * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp32u * | pSrc2,
|  | int | nSrc2Step,
|  | Npp32u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiAlphaOp | eAlphaOp,
|  | NppStreamContext | nppStreamCtx
| ) |  |

One 32-bit unsigned integer channel image composition using image alpha values (0 - max channel pixel value).

Parameters

  pSrc1 | Source-Image Pointer.
  nSrc1Step | Source-Image Line Step.
  pSrc2 | Source-Image Pointer.
  nSrc2Step | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  eAlphaOp | alpha-blending operation..
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiAlphaComp_32u_AC4R | ( | const Npp32u * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp32u * | pSrc2,
|  | int | nSrc2Step,
|  | Npp32u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiAlphaOp | eAlphaOp
| ) |  |

NppStatus nppiAlphaComp_32u_AC4R_Ctx | ( | const Npp32u * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp32u * | pSrc2,
|  | int | nSrc2Step,
|  | Npp32u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiAlphaOp | eAlphaOp,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four 32-bit unsigned integer channel image composition using image alpha values (0 - max channel pixel value).

Parameters

  pSrc1 | Source-Image Pointer.
  nSrc1Step | Source-Image Line Step.
  pSrc2 | Source-Image Pointer.
  nSrc2Step | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  eAlphaOp | alpha-blending operation..
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiAlphaComp_8s_AC1R | ( | const Npp8s * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp8s * | pSrc2,
|  | int | nSrc2Step,
|  | Npp8s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiAlphaOp | eAlphaOp
| ) |  |

NppStatus nppiAlphaComp_8s_AC1R_Ctx | ( | const Npp8s * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp8s * | pSrc2,
|  | int | nSrc2Step,
|  | Npp8s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiAlphaOp | eAlphaOp,
|  | NppStreamContext | nppStreamCtx
| ) |  |

One 8-bit signed char channel image composition using image alpha values (0 - max channel pixel value).

Parameters

  pSrc1 | Source-Image Pointer.
  nSrc1Step | Source-Image Line Step.
  pSrc2 | Source-Image Pointer.
  nSrc2Step | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  eAlphaOp | alpha-blending operation..
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiAlphaComp_8u_AC1R | ( | const Npp8u * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp8u * | pSrc2,
|  | int | nSrc2Step,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiAlphaOp | eAlphaOp
| ) |  |

NppStatus nppiAlphaComp_8u_AC1R_Ctx | ( | const Npp8u * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp8u * | pSrc2,
|  | int | nSrc2Step,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiAlphaOp | eAlphaOp,
|  | NppStreamContext | nppStreamCtx
| ) |  |

One 8-bit unsigned char channel image composition using image alpha values (0 - max channel pixel value).

Parameters

  pSrc1 | Source-Image Pointer.
  nSrc1Step | Source-Image Line Step.
  pSrc2 | Source-Image Pointer.
  nSrc2Step | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  eAlphaOp | alpha-blending operation..
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiAlphaComp_8u_AC4R | ( | const Npp8u * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp8u * | pSrc2,
|  | int | nSrc2Step,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiAlphaOp | eAlphaOp
| ) |  |

NppStatus nppiAlphaComp_8u_AC4R_Ctx | ( | const Npp8u * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp8u * | pSrc2,
|  | int | nSrc2Step,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiAlphaOp | eAlphaOp,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four 8-bit unsigned char channel image composition using image alpha values (0 - max channel pixel value).

Parameters

  pSrc1 | Source-Image Pointer.
  nSrc1Step | Source-Image Line Step.
  pSrc2 | Source-Image Pointer.
  nSrc2Step | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  eAlphaOp | alpha-blending operation..
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

Copyright © 2009-2020 NVIDIA Corporation